package speiger.src.builder.conditions;

import java.util.ArrayList;
import java.util.List;

import speiger.src.builder.processor.CompiledArguments;

public class AndCondition implements ICondition
{
	List<ICondition> conditions = new ArrayList<>();
	
	public AndCondition() {}
	
	public AndCondition(ICondition base)
	{
		addCondition(base);
	}
	
	public void addCondition(ICondition e)
	{
		if(e == null) return;
		conditions.add(e);
	}
	
	@Override
	public boolean isValid(CompiledArguments args)
	{
		for(int i = 0,m=conditions.size();i<m;i++)
		{
			if(!conditions.get(i).isValid(args))
			{
				return false;
			}
		}
		return true;
	}
}
