package speiger.src.builder.mappers;

import java.util.regex.Pattern;

public class SimpleMapper implements IMapper
{
	String searchValue;
	Pattern pattern;
	String replacement;
	
	public SimpleMapper(String pattern, String replacement)
	{
		this(pattern, pattern, replacement);
	}
	
	public SimpleMapper(String searchValue, String pattern, String replacement)
	{
		this.searchValue = searchValue;
		this.pattern = Pattern.compile(pattern, Pattern.LITERAL);
		this.replacement = replacement;
	}
	
	@Override
	public String getSearchValue()
	{
		return searchValue;
	}
	
	@Override
	public String apply(String t)
	{
		try
		{
			return pattern.matcher(t).replaceAll(replacement);			
		}
		catch(Exception e)
		{
			e.printStackTrace();
		}
		catch(Error error) 
		{
			System.out.println("Error with ["+pattern.pattern()+"] pattern");
			throw error;
		}
		return t;
	}
}
